Bug 324831 - HVM guest dead after live migration
HVM guest dead after live migration
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-09 09:01 EDT by Markus Schade
Modified: 2008-06-16 22:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:37:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Markus Schade 2007-10-09 09:01:49 EDT
+++ This bug was initially created as a clone of Bug #323031 +++

Description of problem:
Bug #323031 doesn't occur anymore. But while the migration is now successful
most of the time, it occasionally leaves a dead (no status, all dashes) HVM
guest behind without any visible error in any log. 

-- Additional comment from ehabkost@redhat.com on 2007-10-09 08:32 EST --
I am marking as MODIFIED as the fix is on CVS and will go to the next F-7 
update.

This bug can be cloned to the 'xen' component for the dead domain problem.

When the dead guest appears, is the migration successful, or it is aborted?

-- Additional comment from markus.schade@gmail.com on 2007-10-09 08:49 EST --
The dead guest is on the target, so the migration itself is successful.


Version-Release number of selected component (if applicable): 3.1.0-6.fc7

How reproducible:
infrequently

Steps to Reproduce:
1. start hvm guest (wait till finished booting)
2. Repeatedly initiate a live migration (xm migrate --live guest target)
  
Actual results:
Migration starts (status 'bp') and upon completion the guest is dead
('xm list' showing all dashes) on the target system.


Expected results:
no crash of guest
Comment 1 Bug Zapper 2008-05-14 10:41:15 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:37:17 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.